FFPROBE(1)

NAME
ffprobe - FFprobe media prober

SYNOPSIS
ffprobe [options] [input_file]

DESCRIPTION
FFprobe gathers information from multimedia streams and prints it in human- and machine-readable fashion.

For example it can be used to check the format of the container used by a multimedia stream and the format and type of each media stream contained in it.

If a filename is specified in input, ffprobe will try to open and probe the file content. If the file cannot be opened or recognized as a multimedia file, a positive exit code is returned.

FFprobe may be employed both as a standalone application or in combination with a textual filter, which may perform more sophisticated processing, e.g. statistical processing or plotting.

Options are used to list some of the formats supported by ffprobe or for specifying which information to display, and for setting how ffprobe will show it.

FFprobe output is designed to be easily parsable by a textual filter, and consists of one or more sections of the form:

        [SECTION]
        key1=val1
        ...
        keyN=valN
        [/SECTION]

Metadata tags stored in the container or in the streams are recognized and printed in the corresponding ``FORMAT'' or ``STREAM'' section, and are prefixed by the string ``TAG:''.

OPTIONS

  Generic options
These options are shared amongst the ff* tools.

-L  Show license.

-h, -?, -help, --help
    Show help.

-version
    Show version.

-formats
    Show available formats.

    The fields preceding the format names have the following meanings:

    D   Decoding available

    E   Encoding available

-codecs
    Show available codecs.

    The fields preceding the codec names have the following meanings:

    D   Decoding available

    E   Encoding available

    V/A/S
        Video/audio/subtitle codec

    S   Codec supports slices

    D   Codec supports direct rendering

    T   Codec can handle input truncated at random locations instead of only at frame boundaries

-bsfs
    Show available bitstream filters.

-protocols
    Show available protocols.

-filters
    Show available libavfilter filters.

-pix_fmts
    Show available pixel formats.

-loglevel loglevel
    Set the logging level used by the library. loglevel is a number or a string containing one of the following values:

    quiet
    panic
    fatal
    error
    warning
    info
    verbose
    debug

  Main options

-convert_tags
    Convert the tag names in the format container to the generic FFmpeg tag names.

-f format
    Force format to use.

-unit
    Show the unit of the displayed values.

-prefix
    Show a SI prefixes of the displayed values. Unless ``-byte_binary_prefix'' option is used all the prefix are decimal.

-byte_binary_prefix
    Force the use of binary prefixes for byte values.

-sexagesimal
    Use sexagesimal format HH:MM:SS.MICROSECONDS for time values.

-pretty
    Prettify the format of the displayed values, it corresponds to the options ``-unit -prefix -byte_binary_prefix -sexagesimal''.

-show_format
    Show information about the container format of the input multimedia stream.

    All the container format information is printed within a section with name ``FORMAT''.

-show_streams
    Show information about each media stream contained in the input multimedia stream.

    Each media stream information is printed within a dedicated section with name ``STREAM''.

SEE ALSO
ffmpeg(1), ffplay(1), ffserver(1)